package com.fs.sop.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import com.fs.sop.domain.QwSopTagLogs;
import com.fs.sop.mapper.QwSopTagLogsMapper;
import com.fs.sop.service.IQwSopTagLogsService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 打标签详细Service业务层处理
 *
 * @author fs
 * @date 2025-02-20
 */
@Service
public class QwSopTagLogsServiceImpl extends ServiceImpl<QwSopTagLogsMapper, QwSopTagLogs> implements IQwSopTagLogsService {

    /**
     * 查询打标签详细
     *
     * @param id 打标签详细主键
     * @return 打标签详细
     */
    @Override
    public QwSopTagLogs selectQwSopTagLogsById(Long id)
    {
        return baseMapper.selectQwSopTagLogsById(id);
    }

    /**
     * 查询打标签详细列表
     *
     * @param qwSopTagLogs 打标签详细
     * @return 打标签详细
     */
    @Override
    public List<QwSopTagLogs> selectQwSopTagLogsList(QwSopTagLogs qwSopTagLogs)
    {
        return baseMapper.selectQwSopTagLogsList(qwSopTagLogs);
    }

    /**
     * 新增打标签详细
     *
     * @param qwSopTagLogs 打标签详细
     * @return 结果
     */
    @Override
    public int insertQwSopTagLogs(QwSopTagLogs qwSopTagLogs)
    {
        qwSopTagLogs.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertQwSopTagLogs(qwSopTagLogs);
    }

    /**
     * 修改打标签详细
     *
     * @param qwSopTagLogs 打标签详细
     * @return 结果
     */
    @Override
    public int updateQwSopTagLogs(QwSopTagLogs qwSopTagLogs)
    {
        return baseMapper.updateQwSopTagLogs(qwSopTagLogs);
    }

    /**
     * 批量删除打标签详细
     *
     * @param ids 需要删除的打标签详细主键
     * @return 结果
     */
    @Override
    public int deleteQwSopTagLogsByIds(Long[] ids)
    {
        return baseMapper.deleteQwSopTagLogsByIds(ids);
    }

    /**
     * 删除打标签详细信息
     *
     * @param id 打标签详细主键
     * @return 结果
     */
    @Override
    public int deleteQwSopTagLogsById(Long id)
    {
        return baseMapper.deleteQwSopTagLogsById(id);
    }
}
